Issue 43937 - Automatic font resizing sorely missed / text box incompitence
Summary: Automatic font resizing sorely missed / text box incompitence
Status: CONFIRMED
Alias: None
Product: Impress
Classification: Application
Component: formatting (show other issues)
Version: recent-trunk
Hardware: All All
: P3 Trivial with 57 votes (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: oooqa
: 76831 85412 105718 (view as issue list)
Depends on:
Blocks:
 
Reported: 2005-03-02 20:41 UTC by jefferai
Modified: 2014-04-21 10:05 UTC (History)
8 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Chart before resizing (6.06 KB, image/png)
2010-07-28 16:38 UTC, betabandido
no flags Details
ç (6.48 KB, text/plain)
2010-07-28 16:38 UTC, betabandido
no flags Details
Chart after resizing (6.48 KB, image/png)
2010-07-28 16:39 UTC, betabandido
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description jefferai 2005-03-02 20:41:45 UTC
One of the most useful features of PowerPoint is that as you type bullets on a
slide, it can (and does by default) automatically resize your fonts to make all
of the text you type fit within the text box.  It keeps everything looking very
nice even if there is a lot of text on a particular slide.

Impress' version of this is the "Fit to frame" option in the text box
properties, which doesn't resize the fonts rather than simply squish everything
vertically, which looks ugly as sin.

Is there a way to enable the PowerPoint-like functionality that I've missed, or
if not, can you add it?

I put the Issue Type of this as defect, because it's enough of an issue to make
it unusable for myself and several of my coworkers...we all simply want to write
and have it work the sizes out for itself, not have to worry about the sizes or
how much text we can fit or how to resize the text box manually.

Thanks,
Jeff
Comment 1 wolframgarten 2005-03-03 09:33:20 UTC
Sorry, but this behaves like it is wanted so this cannot be called a defect. I
set this to enhancement. Voting for this increases the weight of this. Thanks
for your help.
Comment 2 wolframgarten 2005-03-03 09:33:46 UTC
Reassigned.
Comment 3 jefferai 2005-03-03 16:36:47 UTC
Heh, "behaves as wanted" depends on who's wanting it  :-)

I'll throw some votes at this and see what happens.
Comment 4 brandon 2005-09-13 03:54:35 UTC
As a complement to the "auto" component of this request it would be really hand
to have the ability to enlarge and shring all bullets so that all the content
(main and sub bullets) remained relatively scalled.
Comment 5 lars 2006-01-31 18:32:19 UTC
confirming
Comment 6 jefferai 2006-02-01 00:43:17 UTC
I believe this is still lacking in OpenOffice 2.0  :-(
Comment 7 brunoharbulot 2006-06-13 16:11:18 UTC
This would be a very nice enhancement indeed. There are a few other issues on
the subject, for example issue #13972, issue #21684 and issue #44303.
The workaround wg mentioned in issue #21684 (using a metafile) is a nice
work-around, but it doesn't solve everything.

In my particular case, I'd like to resize a diagram with figures and text boxes
so that it fits into a presentation. I would then like to have effects to make
certain elements appear at different times. For this, I need to break the
metafile after resizing, which displaces the text elements and seems to round up
their font sizes.

Thanks.
Comment 8 jefferai 2007-09-20 17:17:46 UTC
Poking at this again, because it's still a great feature of PowerPoint that is
lacking/buggy/whatever in Impress.

In PowerPoint, a text box contains text.  If you have too much text, the text
sizes are tweaked so that your text, well, fits in the text box.

In OOo, your text just runs right over the edge of the text box.  What's the
point of a text box then, exactly?  Seems like defective text box behavior to me
(hence reassigning as DEFECT, hopefully to get some fresh blood on this problem).

Bumping to current version as well.
Comment 9 Martin Hollmichel 2008-01-14 13:49:51 UTC
reset target milestone to not determined, since the is assigned owner for.
Comment 10 jefferai 2008-01-14 14:09:32 UTC
What does "the is assigned owner for" mean?  Total gibberish.

How about putting some sort of a target milestone in, so that after almost three
years I can get a feeling that maybe someone is paying attention to this,
instead of letting it rot?

In that vein, I've set it back to 2.4, in the hopes that 2.4 will actually have
it.  If that is not correct, please set it to the milestone by which this defect
is expected to be corrected.

To reiterate: it *is* a defect.  Text boxes do not actually contain text, they
just get bigger and fall off the slide as you add more.  The good solution to
this is automatic font resizing, which PowerPoint does, and which is a very nice
feature (a killer feature IMHO, since it's both useful and saves time).

I suppose a cruddy solution would be to simply disallow the text box to accept
more text than it's capable of holding.  Very cruddy solution though.
Comment 11 Martin Hollmichel 2008-01-28 12:28:42 UTC
there is currently nobody working on this issue, so target 2.4 is not feasible.

There are a lot of more enhancement with more votes and priority so a realistic
timeframe for this has to be determined.
Comment 12 jhjonsson 2008-11-01 03:00:52 UTC
The absense of automatic resizing á la PowerPoint is very unfortunate. It's the
one reason I now discontinue my use of Impress (I've really tried to switch to
it). I know that this is a deliberate design choice (as I understand it) but
there is no support in Impress to reduce the increased hassle it brings. In
PowerPoint I can choose if I want automatic font sizes or not. Why can't this
option be included in Impress?!

When I'm pressed for time preparing slides for a lecture (I'm a university
professor), this feature is what saves me. Sure, different slides could end up
having different font sizes but I have never heard anyone complain about that.
As long as you're reasonably sound in what sizes you accept, slight differences
between slides does not matter at all. Perhaps business people and graphical
designers are more picky, but how many of them use Open Office?

There are many reason to use Open Office but this is a too big disadvantage
(Apple's Keynote causes the same problem for me). I'm definitely no supporter of
Microsoft and feel really sad about having to continue with PowerPoint.
Comment 13 stefanst 2008-11-05 18:26:08 UTC
It would be really helpful if one could resize all the text in a bullet list in
OpenOffice Impress and keep the relative sizes.

When one writes a bullet list, the different levels of the list are indicated by
indention and font size. If one has to write more text than the amount which
fits in the box OpenOffice just writes over the box boundaries. 

It would be nice if one could change the font size of all items on different
levels in one go and keep the relative font sizes as they indicate the list level.

It would be even better if OpenOffice would offer an automatic function for this.

The absence of this feature the the main reason for me to use PowerPoint for the
time being.
Comment 14 mgillen 2009-01-30 19:35:26 UTC
This is a killer feature for me.  I mostly whip up slideshows for small-audience
internal technical meetings.  The presentations are sometimes throw-away, or
sometimes parts of the slides get pulled into "big deal" (ie customer)
presentations.  Either way, the formatting of the slide is the least of my
concerns (in the first case, the audience doesn't care, and in the second it's
going to be re-formatted anyway).

As such, I want to have the freedom to put as much detail as I want onto a
slide, and not be limited to the 10 or so lines that fit by default.   I
specifically don't care if the font sizes from slide to slide are mismatched. 
Mismatched fonts are better than the alternative (words flowing off the end of
the slide).

Every time I go to create a presentation in impress, I get to slide 2, run into
the lack of this feature, and abandon using impress for a few more months
(hoping that someday this will be resolved).  I don't want to spend time
manually formatting things (and making it look even worse than auto-sizing does).
Comment 15 Armin Le Grand 2009-02-02 10:44:10 UTC
CCed: aw
Comment 16 eudemus 2009-02-02 12:43:38 UTC
I would also endorse the comments made here: this is a SHOWSTOPPER for me:
despite strong commitment to OOo and Free Software, I regularly revert to
powerpoint, and this is the single biggest reason (and alone enough to make me
revert).

The suggestion that it is somehow "better practice" to do all one's resizing
manually, or to keep one's entire presentation in one font size ..... utterly
ridiculous, and out of touch with the reality of real users in the real world,
for whom the software (and even the aesthetic qualities of the presentation) are
merely tools, and where all the focus is on the content.

I also STRONGLY endorse mgillen's description of the context in which one wants
to use Impress - quickly whipping up presentations, without their needing to be
fiddled about with to get them to look, well, presentable!

I look forward to some action on this ..... !! (sigh!)

Comment 17 tonycowan 2009-03-13 23:16:04 UTC
lack of this feature adds a great deal of time and frustration to creating
content in Impress. I've been patiently waiting for this feature since OO 1.0. I
know there's been progress ... tables in Impress ... great .. but this is
critical too.
Comment 18 jarikb 2009-05-07 13:58:27 UTC
This feature would be very helpful in creating presentations quickly. Like other
users have mentioned, in many jobs one often needs to make quick presentations
without having to worry about manually fixing the layout. Having this feature in
Impress would certainly make it a more viable alternative for PowerPoint. And as
an optional setting it shouldn't cause problems for those who do not want it.
Comment 19 akugel 2009-08-13 22:37:34 UTC
I also find this powerpoint feature attractive and would like to see it in impress.
Comment 20 ajfinch 2009-09-07 10:32:09 UTC
This is the main reason I would  carry on using powerpoint in place of Impress.
It is such a pain that it is not even available as an option.

Comment 21 jlamorie 2009-10-30 14:27:29 UTC
When I have 15 minutes to put together a presentation, or make a modification
(add a slide or ten), I want to have the choice of making a crappy looking
presentation.

So, until the automatic resize of text in a box occurs, I'll keep regrettably
using Powerpunt (cxoffice/Windows) or iWork (OS X).

Please, put choice back into the hands of the user!
Comment 22 dawg 2009-11-15 20:35:13 UTC
Lack of this feature is my single major gripe with OpenOffice.org -- the user
experience and productivity would be much improved.
Comment 23 peterkaufmanenator 2010-01-02 13:16:59 UTC
I agree this is a huge issue.

I'm casting my votes for this issue too.
Comment 24 Regina Henschel 2010-01-02 14:55:16 UTC
*** Issue 105718 has been marked as a duplicate of this issue. ***
Comment 25 owqcd 2010-03-14 01:21:47 UTC
Hi,

it is working now, isn't it ? shouldn't this issue be marked as RESOLVED now ?

How can I disable this autoresize and keep well defined font size !!!???
Comment 26 dawg 2010-03-14 01:53:01 UTC
owqcd,

I don't know what you're referring to. I just downloaded the latest stable
version of OpenOffice.org and could find neither default behavior nor any option
which addresses this issue...?
Comment 27 betabandido 2010-07-28 16:37:35 UTC
Is automatic font resizing already fixed? If so, I cannot find any option to do so.

The problem is when I create a chart in Calc, and then I move that chart to
Impress. Usually I want to resize the chart, fitting its size to my
presentation. The chart itself resizes correctly, however the font size for
labels, axes, etc. remains the same.

This is clearly not what I want (nor many other people), as it makes text
impossible to read it (it is too small). I attach a couple of images showing the
issue.

Thanks,
Victor
Comment 28 betabandido 2010-07-28 16:38:27 UTC
Created attachment 70863 [details]
Chart before resizing
Comment 29 betabandido 2010-07-28 16:38:51 UTC
Created attachment 70864 [details]
ç
Comment 30 betabandido 2010-07-28 16:39:01 UTC
Created attachment 70865 [details]
Chart after resizing
Comment 31 clippka 2010-07-29 08:24:43 UTC
cl->betabandido: please file a separate issue for chart, this issue is about
text boxes in impress. thank you.
Comment 32 Paolo Pozzan 2012-05-14 21:05:15 UTC
*** Issue 85412 has been marked as a duplicate of this issue. ***
Comment 33 ajfinch 2012-05-15 08:34:45 UTC
 So after a mere 7 years this has still not been addressed! The main reason I and many others avoid using impress and prefer powerpoint. Come on guys!
Comment 34 Edwin Sharp 2014-04-21 10:05:03 UTC
*** Issue 76831 has been marked as a duplicate of this issue. ***